<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Auth;
use PHPUnit\Framework\MockObject\ReturnValueNotConfiguredException;
use SebastianBergmann\CodeCoverage\Report\Html\Dashboard;
use Laravel\Socialite\Facades\Socialite;
// use Socialite;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
     protected $redirectTo = RouteServiceProvider::HOME;


    // protected $redirectTo;
    // public function redirectTo()
    // {
    //     $show = Auth::user()->role_id;
    //     // dd($show);die();
    //     if (!Auth::check()) {
    //         return redirect()->route('login');
    //     }


    //     switch(Auth::user()->role_id){
    //                 case 1:
    //                 $this->redirectTo = '/admin';
    //                 return $this->redirectTo;
    //                     break;
    //                 case 2:
    //                     $this->redirectTo = '/manager';
    //                     return $this->redirectTo;
    //                     break;
    //                 case 3:
    //                     $this->redirectTo = '/user';
    //                     return $this->redirectTo;
    //                     break;
    //                 default:
    //                     $this->redirectTo = '/login';
    //                     return $this->redirectTo;
    //        }

    //     // return $next($request);
    // }


    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }


    /**
     * Redirect the user to the provider authentication page.
     *
     * @return Response
     */
    public function redirectToProvider($provider)
    {
        return Socialite::driver($provider)->redirect();
    }


    /**
     * Obtain the user information from provider.
     *
     * @return Response
     */
    public function handleProviderCallback($provider)
    {
        $user = Socialite::driver($provider)->user();

        $authUser = $this->findOrCreateUser($user, $provider);
        Auth::login($authUser, true);

        // return redirect($this->redirectTo);
       return redirect()->route('user.user');

    }

    /**
     * If a user has registered before using social auth, return the user
     * else, create a new user object.
     * @param  $user Socialite user object
     * @param $provider Social auth provider
     * @return  User
     */
    public function findOrCreateUser($user, $provider)
    {


        $authUser = User::where('provider_id', $user->id)->first();
        if ($authUser) {
            return $authUser;
        }
        // dd($provider);
        return User::create([
            'name'     => $user->name,
            'email'    => $user->email,
            'provider' => $provider,
            'role_id' => 3,
            'provider_id' => $user->id
        ]);
    }
}
