<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator; 
use Illuminate\Http\Request;
use App\Models\Company;


class CompanyController extends Controller
{
    public function index()
    {
        $companies = Company::paginate(10); 
        return view('admin.company.allcompany',compact("companies")); 
    }
 
    public function store(Request $request)
    {  


           $message = [
            'name.required' => 'The name field is required.', 
            'email.required' => 'The email field is required.', 
            'phone.required' => 'The phone field is required.', 
            'address.required' => 'The address field is required.', 
        ];

        $validatedData = $request->validate([
           'name' => 'required|string|max:255',
           'email' => 'required|email|max:255',
           'phone' => 'required|numeric|digits_between:1,15',
           'address' => 'required|string',
        ], $message);

        
         
             $Company = new Company(); 
             $Company->name = $request->name; 
             $Company->email = $request->email; 
             $Company->phone = $request->phone; 
             $Company->address = $request->address; 
             $Company->save();

        return response()->json(['success' => true, 'message' => 'Company added successfully!']);
 
    }
  
    public function edit($id)
    { 

        $company = Company::find($id);

        if ($company) {
            return response()->json(['success' => true, 'data' => $company]);
        } else {
            return response()->json(['success' => false, 'message' => 'Company not found'], 404);
        }

    }
 
    public function update(Request $request, $id)
    {
         $message = [
            'name.required' => 'The name field is required.', 
            'email.required' => 'The email field is required.', 
            'phone.required' => 'The phone field is required.', 
            'address.required' => 'The address field is required.', 
        ];

        $validatedData = $request->validate([
           'name' => 'required|string|max:255',
           'email' => 'required|email|max:255',
           'phone' => 'required|numeric|digits_between:1,15',
           'address' => 'required|string',
        ], $message);

        
         
            $Company = Company::find($id);
             $Company->name = $request->name; 
             $Company->email = $request->email; 
             $Company->phone = $request->phone; 
             $Company->address = $request->address; 
             $Company->update();

        return response()->json(['success' => true, 'message' => 'Company Updated successfully!']);
    }
 
    public function destroy($id)
    { 
        $Company = Company::find($id);
        $Company->delete();
        // return redirect()->route('admin.company'); 
        return redirect()->back()->with('success', 'Card deleted successfully.'); 
    }  
}
