<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePolicyTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('policy', function (Blueprint $table) {
            $table->id();
            $table->integer('client_id');   
            $table->integer('appliance_id');    
            $table->string('policy_type');
            $table->string('plan_number')->nullable(); 
            $table->date('start_date');
            $table->date('end_date'); 
            $table->integer('gross_premium_ipt');
            $table->integer('gross_premium');
            $table->integer('tax');
            $table->integer('ipt_amount');
            $table->integer('commission_amount');
            $table->integer('recurring_payment_amount');
            $table->integer('payment_frequency'); 
            $table->integer('payment_term')->nullable(); //30 90 etc times payments 
            $table->integer('margin_payable')->nullable(); 
            $table->integer('claims_fund')->nullable(); 
            $table->integer('total_remitted')->nullable(); 
            $table->integer('bastion_net_premium')->nullable(); 
            $table->timestamps();
        });
    }
 



    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('policy');
    }
}
