@if ($paginator->hasPages())
    <div class="row mt-2 justify-content-between">
        <div class="col-md-auto me-auto">
            <div class="dt-info" aria-live="polite" role="status">
                Showing {{ $paginator->firstItem() }} to {{ $paginator->lastItem() }} of {{ $paginator->total() }} entries
            </div>
        </div>
        <div class="col-md-auto ms-auto">
            <div class="dt-paging paging_full_numbers">
                <ul class="pagination">
                    {{-- First Page Link --}}
                    @if ($paginator->onFirstPage())
                        <li class="dt-paging-button page-item disabled">
                            <a class="page-link first" aria-controls="base-style" aria-disabled="true" aria-label="First" data-dt-idx="first" tabindex="-1">«</a>
                        </li>
                    @else
                        <li class="dt-paging-button page-item">
                            <a class="page-link first" href="{{ $paginator->url(1) }}" aria-controls="base-style" aria-label="First" data-dt-idx="first">«</a>
                        </li>
                    @endif

                    {{-- Previous Page Link --}}
                    @if ($paginator->onFirstPage())
                        <li class="dt-paging-button page-item disabled">
                            <a class="page-link previous" aria-controls="base-style" aria-disabled="true" aria-label="Previous" data-dt-idx="previous" tabindex="-1">‹</a>
                        </li>
                    @else
                        <li class="dt-paging-button page-item">
                            <a class="page-link previous" href="{{ $paginator->previousPageUrl() }}" aria-controls="base-style" aria-label="Previous" data-dt-idx="previous">‹</a>
                        </li>
                    @endif

                    {{-- Pagination Elements --}}
                    @foreach ($elements as $element)
                        @if (is_string($element))
                            <li class="dt-paging-button page-item disabled">
                                <a class="page-link" aria-controls="base-style">{{ $element }}</a>
                            </li>
                        @endif

                        @if (is_array($element))
                            @foreach ($element as $page => $url)
                                @if ($page == $paginator->currentPage())
                                    <li class="dt-paging-button page-item active">
                                        <a class="page-link" aria-controls="base-style" aria-current="page">{{ $page }}</a>
                                    </li>
                                @else
                                    <li class="dt-paging-button page-item">
                                        <a class="page-link" href="{{ $url }}" aria-controls="base-style">{{ $page }}</a>
                                    </li>
                                @endif
                            @endforeach
                        @endif
                    @endforeach

                    {{-- Next Page Link --}}
                    @if ($paginator->hasMorePages())
                        <li class="dt-paging-button page-item">
                            <a class="page-link next" href="{{ $paginator->nextPageUrl() }}" aria-controls="base-style" aria-label="Next" data-dt-idx="next">›</a>
                        </li>
                    @else
                        <li class="dt-paging-button page-item disabled">
                            <a class="page-link next" aria-controls="base-style" aria-disabled="true" aria-label="Next" data-dt-idx="next" tabindex="-1">›</a>
                        </li>
                    @endif

                    {{-- Last Page Link --}}
                    @if ($paginator->hasPages())
                        <li class="dt-paging-button page-item">
                            <a class="page-link last" href="{{ $paginator->url($paginator->lastPage()) }}" aria-controls="base-style" aria-label="Last" data-dt-idx="last">»</a>
                        </li>
                    @else
                        <li class="dt-paging-button page-item disabled">
                            <a class="page-link last" aria-controls="base-style" aria-disabled="true" aria-label="Last" data-dt-idx="last" tabindex="-1">»</a>
                        </li>
                    @endif
                </ul>
            </div>
        </div>
    </div>
@endif