<!DOCTYPE html>
<html lang="en">

<head>
<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Alle -  Login</title>
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;600;700;800&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('assets/admin/css/bootstrap.css')}}">
    <link rel="stylesheet" href="{{ asset('assets/admin/css/pages/auth.css')}}">
    <link rel="stylesheet" href="{{ asset('assets/admin/vendors/bootstrap-icons/bootstrap-icons.css')}}">
    <link rel="stylesheet" href="{{ asset('assets/admin/css/app.css')}}">
    <link rel="shortcut icon" href="{{ asset('assets/front/images/icons/apple-touch-icon.png')}}" type="image/x-icon">

</head>

<body>
    <div id="auth">

        <div class="row h-100">
            <div class="container">
            <div class="row justify-content-md-center">
            <div class=" col-lg-6 col-12 ">
                <div id="auth-left">
                    <div class="auth-logo">
                        <a href="{{route('admin.login')}}"><img src="{{ asset('assets/admin/images/logo/logo.png')}}" alt="Logo"></a>
                    </div>
                    <h1 class="auth-title">Admin registeration.</h1>
                    <p class="auth-subtitle mb-5">Write your credentials for registering new account.</p>

                    <form method="POST" action="{{ route('admin.create') }}" autocomplete="off">
                        @csrf

                        @if(Session::get('fail'))
                            <div class="alert alert-danger">
                                {{ session()->get('fail') }}
                            </div>
                        @endif

                        @if(Session::get('success'))
                            <div class="alert alert-success">
                                {{ session()->get('success') }}
                            </div>
                        @endif

                        <div class="form-group position-relative has-icon-left mb-4">
                            <input  id="name" type="text" class="form-control form-control-xl form-control{{ $errors->has('name') ? ' is-invalid' : '' }}" name="name" value="{{ old('name') }}" placeholder="Enter Your Name" required>
                            @if ($errors->has('name'))
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $errors->first('name') }}</strong>
                                </span>
                            @endif
                            <div class="form-control-icon">
                                <i class="bi bi-person"></i>
                            </div>
                        </div>

                        <div class="form-group position-relative has-icon-left mb-4">
                            <input  id="email" type="email" class="form-control form-control-xl form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" value="{{ old('email') }}" placeholder="Enter Your Email" required>
                            @if ($errors->has('email'))
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $errors->first('email') }}</strong>
                                </span>
                            @endif
                            <div class="form-control-icon">
                                <i class="bi bi-envelope"></i>
                            </div>
                        </div>

                        <div class="form-group position-relative has-icon-left mb-4">
                            <input id="password" placeholder="Enter Password" type="password" class="form-control form-control-xl form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" placeholder="Password"  name="password" required>

                            @if ($errors->has('password'))
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                            @endif

                            <div class="form-control-icon">
                                <i class="bi bi-shield-lock"></i>
                            </div>

                        </div>

                        <div class="form-group position-relative has-icon-left mb-4">
                            <input id="password_confirmation" placeholder="Confirm Password" type="password" class="form-control form-control-xl form-control{{ $errors->has('password_confirmation') ? ' is-invalid' : '' }}" placeholder="password_confirmation"  name="password_confirmation" required>

                            @if ($errors->has('password_confirmation'))
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $errors->first('password_confirmation') }}</strong>
                                    </span>
                            @endif

                            <div class="form-control-icon">
                                <i class="bi bi-shield-lock"></i>
                            </div>

                        </div>

                        <!-- <div class="form-check form-check-lg d-flex align-items-end">
                            <input class="form-check-input me-2" type="checkbox" value="" id="flexCheckDefault">
                            <label class="form-check-label text-gray-600" for="flexCheckDefault">
                                Keep me logged in
                            </label>
                        </div> -->

                        <button class="btn btn-primary btn-block btn-lg shadow-lg mt-5">{{ __('Register') }}</button>

                    </form>

                    <!-- <div class="text-center mt-5 text-lg fs-4">
                        <p class="text-gray-600">Don't have an account? <a href="auth-register.html"
                                class="font-bold">Sign
                                up</a>.</p>
                        <p><a class="font-bold" href="auth-forgot-password.html">Forgot password?</a>.</p>
                    </div> -->


                </div>
            </div>
{{--            <div class="col-lg-7 d-none d-lg-block">--}}
{{--                <div id="auth-right" style="padding:40%">--}}
{{--                  <a href="{{route('admin.login')}}" ><img src="{{ asset('assets/admin/images/logo/logo.png')}}" alt="Logo"></a>--}}
{{--                </div>--}}
{{--            </div>--}}
        </div>

    </div>
        </div>
    </div>
</body>

</html>
