@extends('layouts.master')

@section('SpecificStyles')
<meta name="keywords" content="Arightally, Surgical Instruments Manufacturer and Supplier from Decades, surgical instruments, surgical supplies, orthopedic implants, orthopedic instruments, veterinary implants, veterninary surgical instruments, medical wears, medical devices , dental , surgical.">
 <meta name="description" content="Arightally is manufacturer and supplier of high-quality Surgical Instruments. Our instruments accommodate healthcare professionals in various medical approaches.">
@stop

@section('title', 'Home')

@section('content')

<main class="main">
    <div class="intro-slider-container">
        <div class="owl-carousel owl-simple owl-light owl-nav-inside" data-toggle="owl" data-owl-options='{
            "nav": false,
            "responsive": {
                "992": {
                    "nav": true
                }
            }
        }'>

            @php $banners = \App\Models\banner::all() @endphp
                    @foreach($banners as $key => $banner)

        <div class="intro-slide" style="background-image: url({{ asset('images/banners/' . $banner->image)}});">
            <div class="container intro-content">
                <h3 class="intro-subtitle"></h3>
                <h1 class="intro-title"></h1>
            </div>
        </div>

        @endforeach

</div>

<span class="slider-loader text-white"></span>
</div>


<div class="mb-3 mb-lg-5"></div>


<div class="banner-group">
    <div class="container-fluid">
        <div class="text-center">
            <h2>Categories</h2>
        </div>
        <br/>


        <div class="row">




             @php $category = \App\Models\Category::orderBy('sequence', 'ASC')->get(); @endphp
                     @foreach($category as $key => $cat)
            <div class="col-md-6 col-lg-3" >



                <div class="banner banner-overlay">
                    <a href="{{ route('collection' ,$cat->id) }}">
                        <img src="{{ asset('assets/front/images/demos/demo-2/banners/banner-1.jpg')}}" alt="Banner">


                    <div class="banner-content banner-content-top">
                        <!-- <h4 class="banner-subtitle text-grey"> </h4> -->
                        <!-- <h3 class="banner-title text-white">{{$cat->name}}<br>IMPLSANTS</h3>  -->
                        <!-- <h3 class="banner-title text-white">{!! substr($cat->name, 0,  100) !!}</h3>  -->
                        <h3 class="banner-title text-white" style="max-width: 250px;">{{$cat->name}}</h3>

                    </div>
                    </a>
                </div>


            </div>

            @endforeach

        </div>
    </div><!-- End .container -->

</div><!-- End .banner-group -->


<div class="mb-3"></div><!-- End .mb-6 -->

<div class="text-center container">
    <h2>New Products</h2>
</div><!-- End .container -->

<div class="container-fluid">
    <div class="tab-content tab-content-carousel">
        <div class="tab-pane p-0 fade show active"  role="tabpanel" aria-labelledby="products-featured-link">
            <div class="owl-carousel owl-simple carousel-equal-height carousel-with-shadow" data-toggle="owl"
            data-owl-options='{
                "nav": false,
                "dots": true,
                "margin": 20,
                "loop": false,
                "responsive": {
                    "0": {
                        "items":2
                    },
                    "480": {
                        "items":2
                    },
                    "768": {
                        "items":3
                    },
                    "992": {
                        "items":4
                    },
                    "1200": {
                        "items":5
                    },
                    "1600": {
                        "items":6,
                        "nav": true
                    }
                }
            }'>

            @php $products = \App\Models\Product::where('new_product',1)->limit(20)->get() @endphp
            @foreach($products as $key => $product)

            <div class="product product-11 text-center">
                <figure class="product-media">
                    <a href="{{route('productbyid',$product->id)}}">
                        <img src="{{ asset('images/products/' . $product->image)}}" alt="{{$product->name}}" oncontextmenu="return false;" class="product-image">
                    </a>

                    <div class="product-action-vertical">
                        <a href="#" class="btn-product-icon btn-wishlist"><span>add to wishlist</span></a>
                    </div><!-- End .product-action-vertical -->
                </figure><!-- End .product-media -->

                <div class="product-body">
                    <h3 class="product-title"><a href="{{route('productbyid',$product->id)}}">{{$product->name}}</a></h3><!-- End .product-title -->
                    <div class="product-price">
                      ${{$product->sale_price}}
                  </div><!-- End .product-price -->
              </div><!-- End .product-body -->
              <div class="product-action">
                <form action="{{route('add_to_cart')}}" method="Post">

                  <input type="hidden" name="product_id" id ="id" value="{{$product->id}}">
                  <input type="hidden" name="Product_name" id="name" value="{{$product->name}}">
                  <input type="hidden" name="product_quantity" id="product_quantity" value="1">
                  <input type="hidden" name="_token" id="token" value="{{ Session::token() }}">

                  <button type="submit" style="width: 120%;"  class="btn-product btn-cart"><span>Add To Cart</span></button>

              </form>
          </div><!-- End .product-action -->
      </div><!-- End .product -->

      @endforeach


  </div><!-- End .owl-carousel -->
</div><!-- .End .tab-pane -->

</div><!-- End .tab-content -->
</div><!-- End .container-fluid -->

<div class="mb-3"></div><!-- End .mb-5 -->


<div class="page-content">
    <div class="container-fluid">

       <div class="text-center container">
        <h2>Collection of Products</h2>
    </div><!-- End .container -->

    <div class="row">
        <div class="col-md-6">
            <div class="banner banner-cat">
                <a href="#">
                    <img src="{{ asset('assets/front/images/category/banner-1.jpg')}}" alt="Banner">
                </a>

                                <!-- <div class="banner-content">
                                    <h3 class="banner-title">Set</h3>
                                    <h4 class="banner-subtitle">For Products</h4>
                                    <a href="#" class="banner-link">Shop Now</a>
                                </div>  -->

                            </div><!-- End .banner -->
                        </div><!-- End .col-md-6 -->

                        <div class="col-md-6">
                            <div class="banner banner-cat">
                                <a href="#">
                                    <img src="{{ asset('assets/front/images/category/banner-2.jpg')}}" alt="Banner">
                                </a>

                                <!-- <div class="banner-content">
                                    <h3 class="banner-title">Box</h3>
                                    <h4 class="banner-subtitle">For Products</h4>
                                    <a href="#" class="banner-link">Shop Now</a>
                                </div>  -->
                            </div><!-- End .banner -->
                        </div><!-- End .col-md-6 -->
                    </div><!-- End .row -->



                </div><!-- End .container -->
            </div><!-- End .page-content -->


            <div class="mb-3"></div><!-- End .mb-6 -->

            <div class="text-center container">
                <h1>Featured Products</h1>
            </div><!-- End .container -->

            <div class="container-fluid">
                <div class="tab-content tab-content-carousel">
                    <div class="tab-pane p-0 fade show active"  role="tabpanel" aria-labelledby="products-featured-link">
                        <div class="owl-carousel owl-simple carousel-equal-height carousel-with-shadow" data-toggle="owl"
                        data-owl-options='{
                            "nav": false,
                            "dots": true,
                            "margin": 20,
                            "loop": false,
                            "responsive": {
                                "0": {
                                    "items":2
                                },
                                "480": {
                                    "items":2
                                },
                                "768": {
                                    "items":3
                                },
                                "992": {
                                    "items":4
                                },
                                "1200": {
                                    "items":5
                                },
                                "1600": {
                                    "items":6,
                                    "nav": true
                                }
                            }
                        }'>




                        @php $products = \App\Models\Product::where('feature',1)->limit(20)->get() @endphp
                        @foreach($products as $key => $product)

                        <div class="product product-11 text-center">
                            <figure class="product-media">
                                <a href="{{route('productbyid',$product->id)}}">
                                    <img src="{{ asset('images/products/' . $product->image)}}" alt="{{$product->name}}" oncontextmenu="return false;" class="product-image">
                                </a>

                                <div class="product-action-vertical">
                                    <a href="#" class="btn-product-icon btn-wishlist"><span>add to wishlist</span></a>
                                </div><!-- End .product-action-vertical -->
                            </figure><!-- End .product-media -->

                            <div class="product-body">
                                <h3 class="product-title"><a href="{{route('productbyid',$product->id)}}">{{$product->name}}</a></h3><!-- End .product-title -->
                                <div class="product-price">
                                 ${{$product->sale_price}}
                             </div><!-- End .product-price -->
                         </div><!-- End .product-body -->
                         <div class="product-action">
                            <form action="{{route('add_to_cart')}}" method="Post">

                              <input type="hidden" name="product_id" id ="id" value="{{$product->id}}">
                              <input type="hidden" name="Product_name" id="name" value="{{$product->name}}">
                              <input type="hidden" name="product_quantity" id="product_quantity" value="1">
                              <input type="hidden" name="_token" id="token" value="{{ Session::token() }}">

                              <button type="submit" style="width: 120%;"  class="btn-product btn-cart"><span>Add To Cart</span></button>

                          </form>
                      </div><!-- End .product-action -->
                  </div><!-- End .product -->

                  @endforeach

              </div><!-- End .owl-carousel -->
          </div><!-- .End .tab-pane -->

      </div><!-- End .tab-content -->
  </div><!-- End .container-fluid -->

  <div class="mb-5"></div><!-- End .mb-5 -->


  <div class="parallax" style=" background-image: url({{ asset('assets/front/images/demos/demo-2/banners/banner-11.jpg')}}); min-height: 700px; background-attachment: fixed;background-position: center;background-repeat: no-repeat;background-size: cover;">

  </div>

  <div class="mb-3"></div><!-- End .mb-5 -->


  <div class="blog-posts">
    <div class="container">
       <div class="text-center container">
        <h1>From Our Blogs</h1>
    </div><!-- End .container -->
    <div class="owl-carousel owl-simple carousel-with-shadow" data-toggle="owl"
    data-owl-options='{
        "nav": false,
        "dots": true,
        "items": 3,
        "margin": 20,
        "loop": false,
        "responsive": {
            "0": {
                "items":1
            },
            "600": {
                "items":2
            },
            "992": {
                "items":3
            }
        }
    }'>

    @php $blogs = \App\Models\Blog::all() @endphp
    @foreach ($blogs->reverse() as $blog)

    <article class="entry entry-display">
        <figure class="entry-media">
            <a href="{{ route('blog_post', $blog->slug) }}">
                <img src="{{ asset('upload/blogs/' . $blog->image)}}" alt="image desc">
            </a>
        </figure><!-- End .entry-media -->

        <div class="entry-body text-center">
            <div class="entry-meta">
                <a href="{{ route('blog_post', $blog->slug) }}">{{ \Carbon\Carbon::parse($blog->created_at)->format('d M Y ') }}</a></div><!-- End .entry-meta -->

            <h3 class="entry-title">
                <a href="{{ route('blog_post', $blog->slug) }}">{{ $blog->title }}</a>
            </h3><!-- End .entry-title -->

            <div class="entry-content">
                <a href="{{ route('blog_post', $blog->slug) }}" class="read-more">Continue Reading</a>
            </div><!-- End .entry-content -->
        </div><!-- End .entry-body -->
    </article><!-- End .entry -->

    @endforeach


</div><!-- End .owl-carousel -->

<div class="more-container text-center mt-2">
    <a href="{{ route('blog') }}" class="btn btn-outline-darker btn-more"><span>View more Blogs</span><i class="icon-long-arrow-right"></i></a>
</div>

<!-- <div class="container">
       <div class="text-center container">
        <h1>Arightally Instagram</h1>
</div> -->

</div><!-- End .container -->
</div><!-- End .blog-posts -->
</main><!-- End .main -->



@endsection

@section('SpecificScripts')

@stop
